/*!
 * froala_editor v2.9.3 (https://www.froala.com/wysiwyg-editor)
 * License https://froala.com/wysiwyg-editor/terms/
 * Copyright 2014-2019 Froala Labs
 */

(function (factory) {
    if (typeof define === 'function' && define.amd) {
        // AMD. Register as an anonymous module.
        define(['jquery'], factory);
    } else if (typeof module === 'object' && module.exports) {
        // Node/CommonJS
        module.exports = function( root, jQuery ) {
            if ( jQuery === undefined ) {
                // require('jQuery') returns a factory that requires window to
                // build a jQuery instance, we normalize how we use modules
                // that require this pattern but the window provided is a noop
                // if it's defined (how jquery works)
                if ( typeof window !== 'undefined' ) {
                    jQuery = require('jquery');
                }
                else {
                    jQuery = require('jquery')(root);
                }
            }
            return factory(jQuery);
        };
    } else {
        // Browser globals
        factory(window.jQuery);
    }
}(function ($) {
/**
 * Kurdish
 */

$.FE.LANGUAGE['ku'] = {
  translation: {
    // Place holder
    "Type something": "شتێک بنووسە",

    // Basic formatting
    "Bold": "قەڵەو",
    "Italic": "لار",
    "Underline": "ژێرهێڵ",
    "Strikethrough": "هێڵدار",

    // Main buttons
    "Insert": "خستنەناو",
    "Delete": "سڕینەوە",
    "Cancel": "پاشگەزبوونەوە",
    "OK": "باشە",
    "Back": "گەڕانەوە",
    "Remove": "لابردن",
    "More": "زیاتر",
    "Update": "نوێکردنەوە",
    "Style": "شێواز",

    // Font
    "Font Family": "فۆنت",
    "Font Size": "قەبارەی فۆنت",

    // Colors
    "Colors": "ڕەنگەکان",
    "Background": "پاشبنەما(باکگراوند)",
    "Text": "دەق",

    // Paragraphs 
    "Paragraph Format": "شێوازی پەڕەگراف",
    "Normal": "ئاسایی",
    "Code": "کۆد",
    "Heading 1": " 1",
    "Heading 2": " 2",
    "Heading 3": " 3",
    "Heading 4": " 4",

    // Style
    "Paragraph Style": "شێوازی پەڕەگراف",
    "Inline Style": "شێوزای ناو دێڕ",

    // Alignment
    "Align": "ڕیزکردن",
    "Align Left": "چەپ‌چن",
    "Align Center": "ناوەڕاست‌چن",
    "Align Right": "ڕاست‌چن",
    "Align Justify": "دوولاڕێک",
    "None": "هیچ",

    // Lists
    "Ordered List": "لیستی داواکراو",
    "Unordered List": "لیستی داوانەکراو",

    // Indent
    "Decrease Indent": "کەمکردنەوەی بۆشایی بەجێهێشتن",
    "Increase Indent": "زیادکردنی بۆشایی بەجێهێشتن",

    // Links
    "Insert Link": "دانانی بەستەر",
    "Open in new tab": "کردنەوەی لە تابێکی نوێدا",
    "Open Link": "کردنەوەی بەستەر",
    "Edit Link": "دەستکاریکردنی بەستەر",
    "Unlink": "سڕینەوەی بەستەر",
    "Choose Link": "هەڵبژاردنی بەستەر",

    // Images
    "Insert Image": "هێنانی وێنە",
    "Upload Image": "بارکردنی وێنە",
    "By URL": "بە شێوەی بەستەر",
    "Browse": "هێنان",
    "Drop image": "ڕاکێشانی وێنە",
    "or click": "یان کرتە",
    "Manage Images": "بەڕێوەبردنی وێنە",
    "Loading": "بارکردن",
    "Deleting": "سڕینەوە",
    "Tags": "تاگەکان",
    "Are you sure? Image will be deleted.": "دڵنیای لە سڕینەوەی وێنەکە",
    "Replace": "لەجێگای دانان",
    "Uploading": "ناردن",
    "Loading image": "بارکردنی وێنە",
    "Display": "پیشان دان",
    "Inline": "ناو دێڕ",
    "Break Text": "ماوەی دەق",
    "Alternative Text": "جێگرەوەی دەق",
    "Change Size": "گۆڕینی قەبارەی",
    "Width": "پانی",
    "Height": "بەرزی",
    "Something went wrong. Please try again.": "شتێک هەڵەیە تکایە هەوڵبدەرەوە",

    // Video
    "Insert Video": "دانانی ڤیدیۆ",
    "Embedded Code": "کۆدی ئێمبد",

    // Tables
    "Insert Table": "دانانی خشتە",
    "Table Header": "خشتەی ناونیشان",
    "Remove Table": "سڕینەوەی خشتە",
    "Table Style": "شێوازی خشتە",
    "Horizontal Align": "ڕێکخستنی ئاسۆیی",
    "Row": "ڕیز",
    "Insert row above": "دانانی ڕیز لەسەرەوە",
    "Insert row below": "دانانی ڕیز لە خوارەوە",
    "Delete row": "سڕینەوەی ڕیز",
    "Column": "ستوون",
    "Insert column before": "زیادکردنی ستونێک لە پێشەوە",
    "Insert column after": "زیادکردنی ستونێک لە دوایەوە",
    "Delete column": "سڕینەوەی ستونێک",
    "Cell": "خانە",
    "Merge cells": "تێکەڵکردنی خانەکان",
    "Horizontal split": "جیاکردنەوەی هێڵی ئاسۆیی",
    "Vertical split": "جیاکردنەوەی سەر بەرەو خوار",
    "Cell Background": "پاشبنەمای خانە",
    "Vertical Align": "ڕیزکردن بەشێوەی سەر بەرەو خوار",
    "Top": "سەرەوە",
    "Middle": "ناوەڕاست",
    "Bottom": "خوارەوە",
    "Align Top": "سەرچن",
    "Align Middle": "ناوەندچن",
    "Align Bottom": "بەرچن",
    "Cell Style": "شێوازی خانە",

    // Files
    "Upload File": "ناردنی پەڕگە",
    "Drop file": "ڕاکێشانی پەڕگە",

    // Emoticons
    "Emoticons": "ئیمۆجی",
    "Grinning face": "ڕوخسارێکی پێکەنیناوی",
    "Grinning face with smiling eyes": "ڕوخسارێکی پێکەنیناوی لەگەڵ چاوێکی خەندە ئامێز",
    "Face with tears of joy": "دەمووچاوێک لەگەڵ ئاو هاتنە خوارەوەوە بە چاودا",
    "Smiling face with open mouth": "دەمووچاوێکی پێکەنیناوی لەگەڵ دەمکردنەوە",
    "Smiling face with open mouth and smiling eyes": "دەمووچاوێکی پێکەنیناوی لەگەڵ دەمکردنەوە و چاوێکی خەندە ئامێز",
    "Smiling face with open mouth and cold sweat": "دەمووچاوێکی پێکەنیناوی لەگەڵ دەمکردنەوە و ئارەق کردنەوە",
    "Smiling face with open mouth and tightly-closed eyes": "Cara sonriente con la boca abierta y los ojos fuertemente cerrados",
    "Smiling face with halo": "دەمووچاوێکی پێکەنیناوی و بوونی بازنەیەکی خڕ بەسەرتەوە",
    "Smiling face with horns": "دەمووچاوێکی پێکەنیناوی لەگەڵ دوو قۆچدا",
    "Winking face": "چاو داگرتن",
    "Smiling face with smiling eyes": "دەمووچاوێکی پێکەنیناوی چاوی بچوک کردوەتەوە",
    "Face savoring delicious food": "دەمووچاوی کەسێک کە حەزی لە خواردنە",
    "Relieved face": "دەمووچاوێکی حەساوە",
    "Smiling face with heart-shaped eyes": "دەمووچاوێک لەگەڵ بوونی دڵ لە چاودا",
    "Smiling face with sunglasses": "دەمووچاوێک لەگەڵ چاویلکەدا",
    "Smirking face": "دەمووچاوێکی فیزاوی",
    "Neutral face": "دەم داخستن",
    "Expressionless face": "دەم و چاو داخستن",
    "Unamused face": "دەمووچاوێکی بێزار",
    "Face with cold sweat": "ڕوخسارێک لەگەڵ ئارەقی سارددا",
    "Pensive face": "ڕوخسارێکی خەمبار",
    "Confused face": "ڕوخسارێکی قەلەق",
    "Confounded face": "ڕوخسارێکی ئاڵۆز",
    "Kissing face": "دەمووچاوێک و ماچ",
    "Face throwing a kiss": "دەمووچاوێک ماچ هەڵبدات",
    "Kissing face with smiling eyes": "دەمووچاوێک ماچ دەکات لەگەڵ ڕوخسارێکی پێکەنیناوی",
    "Kissing face with closed eyes": "دەمووچاوێک ماچ دەکات و چاوی داخستووە",
    "Face with stuck out tongue": "ڕوخسارێک زمانی دەرهێناوە",
    "Face with stuck out tongue and winking eye": "ڕوخسارێک زمانی دەرهێناوە و چاوێکی لێت داگرتووە",
    "Face with stuck out tongue and tightly-closed eyes": "هەردووچاوی داخستووە و زمان دەردێنێت",
    "Disappointed face": "ڕوخسارێکی نائومێد کراو",
    "Worried face": "ڕوخسارێکی بێتاقەت",
    "Angry face": "ڕوخسارێکی توڕە",
    "Pouting face": "ڕوخسارێک لچی دەرهێناوە",
    "Crying face": "ڕوخسارێک دەگری",
    "Persevering face": "ڕوخسارێکی تەواوی بێتاقەت",
    "Face with look of triumph": "ڕوخسارێک کە سوورە لەسەر کارێک",
    "Disappointed but relieved face": "ڕوخسارێکی خەمبارە و ئارەق دەکاتەوە",
    "Frowning face with open mouth": "ڕوخسارێکی تووڕە و دەمی کراوەتەوە",
    "Anguished face": "ڕوخسارێکی خەمناک",
    "Fearful face": "دەموچاوێکی ترساو",
    "Weary face": "ڕوخسارێکی ماندوو",
    "Sleepy face": "ڕوخسارێکی خەوتوو",
    "Tired face": "ڕوخسارێکی ماندوو",
    "Grimacing face": "دان جیڕ کردنەوە",
    "Loudly crying face": "ڕوخسارێک بە دەنگی بەرزەوە دەگری",
    "Face with open mouth": "ڕوخسارێک دەمی کردوەتەوە",
    "Hushed face": "ڕوخسارێکی بێدەنگ کراو",
    "Face with open mouth and cold sweat": "دەمووچاوێک دەمی کردوەتەوە و ئارەق دەڕێژێت",
    "Face screaming in fear": "دەمووچاوێک هاوار دەکات و لە شتێک دەترسێت",
    "Astonished face": "ڕوخسارێکی سەرسام بوو",
    "Flushed face": "ڕوخسارێکی سور بووەوە",
    "Sleeping face": "ڕوخسارێکی خەوتوو",
    "Dizzy face": "سەرگێژ خواردن",
    "Face without mouth": "دەمووچاوێک بەبێ دەم",
    "Face with medical mask": "دەمووچاوێک لەگەڵ ماسکی پزیشکی",

    // Line breaker
    "Break": "بڕینی هێڵێک",

    // Math
    "Subscript": "ژێرنووس",
    "Superscript": "سەرنووس",

    // Full screen
    "Fullscreen": "پڕ بە شاشە",

    // Horizontal line
    "Insert Horizontal Line": "دانانی هێڵی ئاسۆیی",

    // Clear formatting
    "Clear Formatting": "سڕینەوەی شێواز",

    // Save
    "Save": "پاشەکەوت",

    // Undo, redo
    "Undo": "هەنگاوێک دواتر",
    "Redo": "هەنگاوێک پێشتر",

    // Select all
    "Select All": "دیاریکردنی هەموو",

    // Code view
    "Code View": "بینینی کۆد",

    // Quote
    "Quote": "وتە",
    "Increase": "زیادکردن",
    "Decrease": "کەمکردن",

    // Quick Insert
    "Quick Insert": "خێرا خستنەناو",

    // Spcial Characters
    "Special Characters": "کاراکتەری تایبەت",
    "Latin": "Latin",
    "Greek": "Greek",
    "Cyrillic": "Cyrillic",
    "Punctuation": "Punctuation",
    "Currency": "Currency",
    "Arrows": "Arrows",
    "Math": "Math",
    "Misc": "Misc",

    // Print.
    "Print": "چاپ",

    // Spell Checker.
    "Spell Checker": "پشکنەری ڕێنووس",

    // Help
    "Help": "ڕێنوێنی",
    "Shortcuts": "لابڕەکان",
    "Inline Editor": "دەستکاریکەری ناوهێڵ",
    "Show the editor": "پێشاندانی دەسکاریکەر",
    "Common actions": "کردەوە باوەکان",
    "Copy": "کۆپی بکە",
    "Cut": "بیبڕە",
    "Paste": "داینێ",
    "Basic Formatting": "داڕشتنی بنەڕەتی",
    "Increase quote level": "ئاستی وەرگرتە زیاد بکە",
    "Decrease quote level": "ئاستی وەرگرتە کەم بکە",
    "Image / Video": "وێنە / ڤیدیۆ",
    "Resize larger": "گەورەی بکە",
    "Resize smaller": "چووکەی بکە",
    "Table": "خشتە",
    "Select table cell": "خانەییێک هەڵبژێرە",
    "Extend selection one cell": "هەڵبژاردنەکە یەک خانە درێژ بکەوە",
    "Extend selection one row": "هەڵبژاردنەکە یەک ڕیز درێژ بکەوە",
    "Navigation": "گەشتکردن",
    "Focus popup / toolbar": "جەخت لەسەر دەلاقەی کراوە / شریتی کەلوپەل",
    "Return focus to previous position": "گەڕانەوەی جەخت بۆ شوێنی پێشوو",

    // Embed.ly
    "Embed URL": "جێگیرکردنی بەستەر",
    "Paste in a URL to embed": "لە بەستەرێکی دانێ بۆ جێگیرکردن",

    // Word Paste.
    "The pasted content is coming from a Microsoft Word document. Do you want to keep the format or clean it up?": "ناوەرۆکی دانراو لە بەڵگەیەکی وۆردی مایکرۆسۆفت دێت. دەتەوێ فۆرماتەکە بهێڵیەوە یان پاکی بکەیەوە؟",
    "Keep": "ڕایگرە",
    "Clean": "پاکیکەوە",
    "Word Paste Detected": "وۆردی دانراو دۆزراوەتەوە"
  },
  direction: "rtl"
};

}));
