/*!
 * froala_editor v2.9.3 (https://www.froala.com/wysiwyg-editor)
 * License https://froala.com/wysiwyg-editor/terms/
 * Copyright 2014-2019 Froala Labs
 */

(function (factory) {
    if (typeof define === 'function' && define.amd) {
        // AMD. Register as an anonymous module.
        define(['jquery'], factory);
    } else if (typeof module === 'object' && module.exports) {
        // Node/CommonJS
        module.exports = function( root, jQuery ) {
            if ( jQuery === undefined ) {
                // require('jQuery') returns a factory that requires window to
                // build a jQuery instance, we normalize how we use modules
                // that require this pattern but the window provided is a noop
                // if it's defined (how jquery works)
                if ( typeof window !== 'undefined' ) {
                    jQuery = require('jquery');
                }
                else {
                    jQuery = require('jquery')(root);
                }
            }
            return factory(jQuery);
        };
    } else {
        // Browser globals
        factory(window.jQuery);
    }
}(function ($) {
/**
 * Polish
 */

$.FE.LANGUAGE['pl'] = {
  translation: {
    // Place holder
    "Type something": "Wpisz coś",

    // Basic formatting
    "Bold": "Pogrubienie",
    "Italic": "Kursywa",
    "Underline": "Podkreślenie",
    "Strikethrough": "Przekreślenie",

    // Main buttons
    "Insert": "Wstaw",
    "Delete": "Usuń",
    "Cancel": "Anuluj",
    "OK": "OK",
    "Back": "Powrót",
    "Remove": "Usuń",
    "More": "Więcej",
    "Update": "Aktualizacja",
    "Style": "Styl",

    // Font
    "Font Family": "Rodzaj Czcionki",
    "Font Size": "Rozmiar czcionki",

    // Colors
    "Colors": "Kolory",
    "Background": "Tło",
    "Text": "Tekst",
    "HEX Color": "HEX Kolor",

    // Paragraphs
    "Paragraph Format": "Format akapitu",
    "Normal": "Normalny",
    "Code": "Kod",
    "Heading 1": "Nagłówek 1",
    "Heading 2": "Nagłówek 2",
    "Heading 3": "Nagłówek 3",
    "Heading 4": "Nagłówek 4",

    // Style
    "Paragraph Style": "Styl akapitu",
    "Inline Style": "Styl liniowy",

    // Alignment
    "Align": "Wyrównanie",
    "Align Left": "Wyrównaj do lewej",
    "Align Center": "Wyśrodkuj",
    "Align Right": "Wyrównaj do prawej",
    "Align Justify": "Wyrównaj Justuj",
    "None": "Brak",

    // Lists
    "Ordered List": "Lista uporządkowana",
    "Unordered List": "Lista nieuporządkowana",

    // Indent
    "Decrease Indent": "Zmniejszanie wcięcia",
    "Increase Indent": "Zwiększanie wcięcia",

    // Links
    "Insert Link": "Wstaw odnośnik",
    "Open in new tab": "Otwórz w nowej karcie",
    "Open Link": "Otwórz Link",
    "Edit Link": "Edytuj Link",
    "Unlink": "Odłącz",
    "Choose Link": "Wybierz link",

    // Images
    "Insert Image": "Wstaw obraz",
    "Upload Image": "Prześlij obraz",
    "By URL": "Przez URL",
    "Browse": "Szukaj",
    "Drop image": "Upuść obraz",
    "or click": "lub kliknij",
    "Manage Images": "Zarządzaj obrazami",
    "Loading": "Ładowanie",
    "Deleting": "Usuwanie",
    "Tags": "Tagi",
    "Are you sure? Image will be deleted.": "Jesteś pewien? Obraz zostanie usunięty.",
    "Replace": "Zastąp",
    "Uploading": "Przesyłanie",
    "Loading image": "Ładowanie obrazu",
    "Display": "Wyświetl",
    "Inline": "W linii",
    "Break Text": "Przerwij tekst",
    "Alternative Text": "Tekst alternatywny",
    "Change Size": "Zmień rozmiar",
    "Width": "Szerokość",
    "Height": "Wysokość",
    "Something went wrong. Please try again.": "Coś poszło nie tak. Proszę spróbować ponownie.",
    "Image Caption": "Tytuł Zdjęcia",
    "Advanced Edit": "Edycja zaawansowana",

    // Video
    "Insert Video": "Wstaw wideo",
    "Embedded Code": "Kod Embedded",
    "Paste in a video URL": "Wklej adres URL filmu",
    "Drop video": "Upuść wideo",
    "Your browser does not support HTML5 video.": "Twoja przeglądarka nie obsługuje wideo HTML5.",
    "Upload Video": "Prześlij wideo",

    // Tables
    "Insert Table": "Wstaw tabelę",
    "Table Header": "Nagłówek tabeli",
    "Remove Table": "Usuń tabelę",
    "Table Style": "Styl tabeli",
    "Horizontal Align": "Wyrównanie poziome",
    "Row": "Wiersz",
    "Insert row above": "Wstaw wiersz powyżej",
    "Insert row below": "Wstaw wiersz poniżej",
    "Delete row": "Usuń wiersz",
    "Column": "Kolumny",
    "Insert column before": "Wstaw kolumnę przed",
    "Insert column after": "Wstaw kolumnę po",
    "Delete column": "Usuń kolumnę",
    "Cell": "Komórka",
    "Merge cells": "Scal komórki",
    "Horizontal split": "Podział poziomy",
    "Vertical split": "Podział pionowy",
    "Cell Background": "Tło komórki",
    "Vertical Align": "Wyrównanie pionowe",
    "Top": "Góra",
    "Middle": "Środek",
    "Bottom": "Dół",
    "Align Top": "Wyrównaj górę",
    "Align Middle": "Wyrównaj środek",
    "Align Bottom": "Wyrównaj dół",
    "Cell Style": "Styl komórki",

    // Files
    "Upload File": "Prześlij plik",
    "Drop file": "Upuść plik",

    // Emoticons
    "Emoticons": "Emotikony",

    // Line breaker
    "Break": "Przerwa",

    // Math
    "Subscript": "Indeks dolny",
    "Superscript": "Indeks g\u00f3rny",

    // Full screen
    "Fullscreen": "Pełny ekran",

    // Horizontal line
    "Insert Horizontal Line": "Wstaw linię poziomą",

    // Clear formatting
    "Clear Formatting": "Wyczyść formatowanie",

    // Save
    "Save": "Zapisz",

    // Undo, redo
    "Undo": "Cofnij",
    "Redo": "Ponów",

    // Select all
    "Select All": "Wybierz wszystko",

    // Code view
    "Code View": "Widok kodu",

    // Quote
    "Quote": "Cytat",
    "Increase": "Zwiększenie",
    "Decrease": "Zmniejszenie",

    // Quick Insert
    "Quick Insert": "Szybkie wstawianie",

    // Spcial Characters
    "Special Characters": "Znaki specjalne",
    "Latin": "Łacina",
    "Greek": "Grecki",
    "Cyrillic": "Cyrylica",
    "Punctuation": "Interpunkcja",
    "Currency": "Waluta",
    "Arrows": "Strzałki",
    "Math": "Matematyka",
    "Misc": "Misc",

    // Print.
    "Print": "Drukuj",

    // Spell Checker.
    "Spell Checker": "Sprawdzanie pisowni",

    // Help
    "Help": "Pomoc",
    "Shortcuts": "Skróty",
    "Inline Editor": "Edytor liniowy",
    "Show the editor": "Pokaż edytor",
    "Common actions": "Wspólne działania",
    "Copy": "Kopiuj",
    "Cut": "Wytnij",
    "Paste": "Wklej",
    "Basic Formatting": "Główne formatowanie",
    "Increase quote level": "Zwiększenie poziomu cytowania",
    "Decrease quote level": "Obniżenie poziomu cytowania",
    "Image / Video": "Obraz / wideo",
    "Resize larger": "Zmień rozmiar na większy",
    "Resize smaller": "Zmień rozmiar na mniejszy",
    "Table": "Tabela",
    "Select table cell": "Wybierz komórkę tabeli",
    "Extend selection one cell": "Rozszerzenie wyboru o jedną komórkę",
    "Extend selection one row": "Rozszerzenie wyboru o jeden rząd",
    "Navigation": "Nawigacja",
    "Focus popup / toolbar": "Wyskakujące okienko ostrości / pasek narzędzi",
    "Return focus to previous position": "Przywrócenie ostrości do poprzedniej pozycji",

    // Embed.ly
    "Embed URL": "Umieść URL",
    "Paste in a URL to embed": "Wklej adres URL, aby umieścić",

    // Word Paste.
    "The pasted content is coming from a Microsoft Word document. Do you want to keep the format or clean it up?": "Wklejona treść pochodzi z dokumentu Microsoft Word. Czy chcesz zachować format, czy go wyczyścić?",
    "Keep": "Zachowaj",
    "Clean": "Wyczyść",
    "Word Paste Detected": "Wykryto wklejanie słów"
  },
  direction: "ltr"
};

}));
